serial

## Enum Parity

- java.lang.Object
- - java.lang.Enum<Parity>
  - - serial.Parity

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Parity>

    public enum Parity
    extends java.lang.Enum<Parity>

Enumeration defines the possible parity types for the serial port.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Even` Use even parity type
`Mark` Use mark parity type.
`None` Use none parity type.
`Odd` Use odd parity types
`Space` Use space parity type.

### Method Summary

Methods
`static Parity` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Parity[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final Parity None

Use none parity type. This is the default.

#### Odd

    public static final Parity Odd

Use odd parity types

#### Even

    public static final Parity Even

Use even parity type

#### Mark

    public static final Parity Mark

Use mark parity type.

#### Space

    public static final Parity Space

Use space parity type.

### Method Detail

#### values

    public static Parity[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Parity c : Parity.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Parity valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null